## org.apache.lucene.index
Enum FieldInfo.DocValuesType

    java.lang.Object
      java.lang.Enum<FieldInfo.DocValuesType>
          org.apache.lucene.index.FieldInfo.DocValuesType

All Implemented Interfaces:
  Serializable, Comparable<FieldInfo.DocValuesType>

Enclosing class:
  FieldInfo

    public static enum FieldInfo.DocValuesType

extends Enum<FieldInfo.DocValuesType>

DocValues types. Note that DocValues is strongly typed, so a field cannot have different types across different documents.

Enum Constant Summary
`BINARY` A per-document byte[].
`NUMERIC` A per-document Number
`SORTED` A pre-sorted byte[].
`SORTED_SET` A pre-sorted Set<byte[]>.

Method Summary
`static FieldInfo.DocValuesType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldInfo.DocValuesType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC

    public static final FieldInfo.DocValuesType NUMERIC

  A per-document Number

### BINARY

    public static final FieldInfo.DocValuesType BINARY

  A per-document byte[].

### SORTED

    public static final FieldInfo.DocValuesType SORTED

  A pre-sorted byte[]. Fields with this type only store distinct byte values and store an additional offset pointer per document to dereference the shared byte[]. The stored byte[] is presorted and allows access via document id, ordinal and by-value.

### SORTED_SET

    public static final FieldInfo.DocValuesType SORTED_SET

  A pre-sorted Set<byte[]>. Fields with this type only store distinct byte values and store additional offset pointers per document to dereference the shared byte[]s. The stored byte[] is presorted and allows access via document id, ordinal and by-value.

Method Detail

### values

    public static FieldInfo.DocValuesType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FieldInfo.DocValuesType c : FieldInfo.DocValuesType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FieldInfo.DocValuesType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.